/**
 *
 */
package de.intevation.gnv.transition.profile.horizontal;

import java.io.IOException;
import java.io.OutputStream;
import java.util.Collection;

import de.intevation.gnv.chart.ChartLabels;
import de.intevation.gnv.chart.ChartStyle;
import de.intevation.gnv.chart.HorizontalProfileChartFactory;
import de.intevation.gnv.chart.exception.TechnicalChartException;
import de.intevation.gnv.statistics.HorizontalProfileStatistics;
import de.intevation.gnv.statistics.Statistics;
import de.intevation.gnv.transition.describedata.KeyValueDescibeData;
import de.intevation.gnv.transition.timeseries.TimeSeriesOutputTransition;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class HorizontalProfileOutputTransition extends TimeSeriesOutputTransition {
    /**
     * The UID of this class
     */
    private static final long serialVersionUID = 4401516087492028840L;

    /**
     * Constructor
     */
    public HorizontalProfileOutputTransition() {
        super();
        super.domainLable = "Tiefe";
    }

    /**
     * @see de.intevation.gnv.transition.timeseries.TimeSeriesOutputTransition#createChart(java.io.OutputStream, java.util.Collection, java.util.Collection, java.lang.String, de.intevation.gnv.chart.ChartStyle, de.intevation.gnv.chart.ChartLabels)
     */
    @Override
    protected void createChart(OutputStream outputStream,
            Collection<KeyValueDescibeData> parameters,
            Collection<KeyValueDescibeData> measurements,
            ChartStyle chartStyle, ChartLabels chartLables,String uuid) throws IOException, TechnicalChartException {
        HorizontalProfileChartFactory chartFactory = new HorizontalProfileChartFactory();
        chartFactory.createProfileChart(chartLables, chartStyle, 
                                                 parameters, measurements, 
                                                 outputStream, this.getChartResult(uuid));
    }

    /**
     * @see de.intevation.gnv.transition.timeseries.TimeSeriesOutputTransition#getStatisticsGenerator()
     */
    @Override
    protected Statistics getStatisticsGenerator() {
       return new HorizontalProfileStatistics();
    }
    

}
